=== debian/changelog ===
licq (1.7.1-1build1) saucy; urgency=low

  * No change rebuild for Boost 1.53 transition.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 26 Apr 2013 19:18:42 +0100

licq (1.7.1-1) unstable; urgency=low

  * New upstream version 1.7.1
  * Bump standards version to 3.9.4 with no changes

 -- Erik Johansson <debian@ejohansson.se>  Wed, 30 Jan 2013 21:36:43 +0100
