=== share/CMakeLists.txt ===
add_subdirectory(sounds)
add_subdirectory(translations)
add_subdirectory(utilities)
