=== include/licq/CMakeLists.txt ===
--- 
+++ 
@@ -5,13 +5,14 @@
   byteorder.h
   color.h
   conversation.h
+  crypto.h
   daemon.h
   event.h
   filter.h
   gpghelper.h
   inifile.h
   macro.h
-  md5.h
+  mainloop.h
   oneventmanager.h
   packet.h
   pipe.h
