=== debian/changelog ===
licq (1.8.1-2build1) trusty; urgency=medium

  * No-change rebuild for gloox transition (LP: #1273967).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 29 Jan 2014 22:49:06 +0400

licq (1.8.1-2) unstable; urgency=low

  * Break circular dependency between licq and licq-plugin-icq (Closes: #729362)

 -- Erik Johansson <debian@ejohansson.se>  Wed, 13 Nov 2013 20:29:27 +0100

licq (1.8.1-1) unstable; urgency=low

  * New upstream version 1.8.1
  * Remove dummy packages licq-plugin-(kde|qt)
  * Remove licq-plugin-console as it is no longer available from upstream
    (Closes: #96445, #138298, #693953)
  * Add new licq-plugin-icq as ICQ/AIM is no longer part of licq daemon

 -- Erik Johansson <debian@ejohansson.se>  Thu, 31 Oct 2013 20:40:28 +0100
