=== debian/control ===
--- 
+++ 
@@ -4,19 +4,16 @@
  kdelibs5-dev,
  libboost-dev (>= 1.36.0),
  libboost-regex-dev (>= 1.36.0),
- libcdk5-dev,
  libgloox-dev (>= 1.0),
  libgpgme11-dev (>= 0.4.2),
  libhunspell-dev,
- libncurses5-dev,
  libqt4-dev (>= 4.3.0), qt4-dev-tools,
  libssl-dev,
  libxosd-dev (>= 2.1.0),
  libxss-dev
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Erik Johansson <debian@ejohansson.se>
+Maintainer: Erik Johansson <debian@ejohansson.se>
 Standards-Version: 3.9.4
 Vcs-Git: git://github.com/licq-im/debian.git
 Vcs-Browser: https://github.com/licq-im/debian
@@ -24,14 +21,18 @@
 
 Package: licq
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, licq-plugin-qt4 | licq-plugin-ui
-Recommends: sox
+# Remove dependency on icq once Jessie has been released. Also change icq's
+# recommendation on licq to depends.
+Depends: ${shlibs:Depends}, ${misc:Depends}, licq-plugin-qt4 | licq-plugin-ui,
+ licq-plugin-icq
+Recommends: sox,
 Suggests: bind9-host | host, ping, traceroute
 Description: multi-protocol instant messaging client (base files)
  Licq is an instant messaging client daemon that supports a number of
- interfaces via plug-ins, primarily KDE or Qt, but also console, and several
- utility plug-ins.  Included in this package is support for AIM and ICQ.
- Support for MSN and Jabber is available as separate plug-ins.
+ interfaces via plug-ins, currently KDE or Qt, and several utility plug-ins.
+ .
+ Support for different instant messaging networks, such as ICQ, AIM, MSN and
+ Jabber, is available as separate plug-ins.
  .
  Implemented features include messaging, chat, file transfer, whitepages,
  history, invisible list, server-side stored contacts, typing
@@ -62,17 +63,6 @@
  the plug-in to reply with the output from any specified program (e.g.,
  fortune).
 
-Package: licq-plugin-console
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: licq (= ${binary:Version})
-Provides: licq-plugin-ui
-Description: console user interface plug-in for Licq
- This is a console user interface plug-in for the Licq instant messaging
- client.  It does not have all the features that the Qt GUI supports, but it
- does offer a number of really cool text-mode things such as multiple windows,
- contact list pane and log window.
-
 Package: licq-plugin-forwarder
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, licq (= ${binary:Version})
@@ -81,6 +71,14 @@
  (messages, URLs, etc.) received while the plug-in is enabled will be forwarded
  either via SMTP to a given email account or via ICQ to a given UIN.
 
+Package: licq-plugin-icq
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: licq (= ${binary:Version})
+Description: ICQ/AIM plug-in for Licq
+ This is a plug-in for the Licq instant messaging client that enables
+ communication over ICQ and/or AIM instant messaging network.
+
 Package: licq-plugin-jabber
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, licq (= ${binary:Version})
@@ -88,16 +86,6 @@
  This is a plug-in for the Licq instant messaging client that enables
  communication over a Jabber (XMPP) instant messaging network, such as Google
  Talk and the Facebook chat.
-
-Package: licq-plugin-kde
-Architecture: all
-Depends: licq-plugin-kde4, ${misc:Depends}
-Section: oldlibs
-Priority: extra
-Description: dummy package for transition to licq-plugin-kde4
- This is a transitional dummy package to ease the migration from the deprecated
- licq-plugin-kde to the new licq-plugin-kde4 package.  You can remove it
- safely.
 
 Package: licq-plugin-kde4
 Architecture: any
@@ -131,15 +119,6 @@
  This is a plug-in for the Licq instant messaging client that enables it to
  display new messages as an on-screen display message.  User logged on/off and
  status changed messages are also supported.
-
-Package: licq-plugin-qt
-Architecture: all
-Depends: licq-plugin-qt4, ${misc:Depends}
-Section: oldlibs
-Priority: extra
-Description: dummy package for transition to licq-plugin-qt4
- This is a transitional dummy package to ease the migration from the deprecated
- licq-plugin-qt to the new licq-plugin-qt4 package.  You can remove it safely.
 
 Package: licq-plugin-qt4
 Architecture: any
