=== debian/rules ===
--- 
+++ 
@@ -25,12 +25,13 @@
 # plugin packages
 PLUGINS := $(filter licq-plugin-%,$(shell dh_listpackages))
 PLUGINS := $(patsubst licq-plugin-%,%,$(PLUGINS))
-PLUGINS := $(filter-out kde qt qt4-common,$(PLUGINS))
+PLUGINS := $(filter-out qt4-common,$(PLUGINS))
 
 # directories of plugin packages in source tree
 src/autoreply = auto-reply
 src/console   = console
 src/forwarder = forwarder
+src/icq       = icq
 src/jabber    = jabber
 src/kde4      = qt4-gui
 src/msn       = msn
