## licq 1.8.2

=== include/CMakeLists.txt ===
add_subdirectory(licq)
