=== plugins/qt4-gui/share/misc/CMakeLists.txt ===
if (WITH_KDE)
  install(FILES licq.desktop DESTINATION share/applications/kde4)
else (WITH_KDE)
  install(FILES licq.desktop DESTINATION share/applications)
endif (WITH_KDE)
