=== debian/changelog ===
licq (1.8.2-1ubuntu1) xenial; urgency=medium

  * Ignore test failures on amd64. Only affects the qt4 plugin.
    See Debian #820106.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Apr 2016 00:37:51 +0200

licq (1.8.2-1build2) xenial; urgency=medium

  * No-change rebuild for hunspell library renaming.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Apr 2016 13:25:32 +0000

licq (1.8.2-1build1) wily; urgency=medium

  * No-change rebuild against libhunspell-1.3-0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 10 Aug 2015 19:42:01 +0000

licq (1.8.2-1) unstable; urgency=low

  * New upstream version 1.8.2
  * Drop fix-build-error patch that has been included upstream
  * Bump standards version to 3.9.4 with no changes

 -- Erik Johansson <debian@ejohansson.se>  Tue, 02 Sep 2014 12:26:50 +0200
