=== debian/control ===
--- 
+++ 
@@ -13,8 +13,9 @@
  libxss-dev
 Section: net
 Priority: optional
-Maintainer: Erik Johansson <debian@ejohansson.se>
-Standards-Version: 3.9.4
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Erik Johansson <debian@ejohansson.se>
+Standards-Version: 3.9.5
 Vcs-Git: git://github.com/licq-im/debian.git
 Vcs-Browser: https://github.com/licq-im/debian
 Homepage: http://www.licq.org/
