=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,11 @@
 CMAKE_NORMAL_ARGS += -DCMAKE_SKIP_RPATH=ON
 CMAKE_NORMAL_ARGS += -DCMAKE_VERBOSE_MAKEFILE=ON
 export CTEST_OUTPUT_ON_FAILURE=1
+
+ifeq ($(DEB_HOST_ARCH),amd64)
+  DEB_BUILD_OPTIONS += nocheck
+  export DEB_BUILD_OPTIONS
+endif
 
 # plugin packages
 PLUGINS := $(filter licq-plugin-%,$(shell dh_listpackages))
